Član tima

GET https://tistos.com/api/teams-member/
curl --request GET \
--url 'https://tistos.com/api/teams-member/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Detalji Opis
search Opcionalno Niz znakova Pretraživački niz.
search_by Opcionalno Niz znakova Koje polje pretražujete? Dozvoljene vrijednosti su: name.
datetime_field Opcionalno Niz znakova Dozvoljene vrijednosti: datetime, last_datetime
datetime_start Opcionalno Niz znakova Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s.
datetime_end Opcionalno Niz znakova Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s.
order_by Opcionalno Niz znakova Koje polje da se rezultati sortiraju. Dozvoljene vrijednosti su: team_member_id, datetime, last_datetime.
order_type Opcionalno Niz znakova Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje.
page Opcionalno Cijeli broj Broj stranice za koju želite rezultate. Podrazumijeva se 1.
results_per_page Opcionalno Cijeli broj Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25.
{
    "data": [
        {
            "id": 1,
            "access": {
                "read": true,
                "create": true,
                "update": true,
                "delete": false
            },
            "status": 1,
            "last_datetime": null,
            "datetime": "2026-07-18 19:36:43",
            "team_id": 1,
            "name": "Example team"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/teams-member?page=1",
        "last": "https://tistos.com/api/teams-member?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/teams-member?page=1"
    }
}
GET https://tistos.com/api/teams-member/{team_member_id}
curl --request GET \
--url 'https://tistos.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "access": {
            "read": true,
            "create": true,
            "update": true,
            "delete": false
        },
        "status": 1,
        "last_datetime": null,
        "datetime": "2026-07-18 19:36:43",
        "team_id": 1,
        "name": "Example team"
    }
}
POST https://tistos.com/api/teams-member/{team_member_id}
Parametri Detalji Opis
status Opcionalno Boolean -
curl --request POST \
--url 'https://tistos.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'status=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://tistos.com/api/teams-member/{team_member_id}
curl --request DELETE \
--url 'https://tistos.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \